<?php
global $la_zyra_loop;

$tmp = $la_zyra_loop;

$loop_layout = LA_Zyra()->settings->get('portfolio_display_type', 'grid');
$loop_style = LA_Zyra()->settings->get('portfolio_display_style', '1');

$la_zyra_loop['loop_layout'] = $loop_layout;
$la_zyra_loop['loop_style'] = $loop_style;
$la_zyra_loop['responsive_column'] = LA_Zyra()->settings->get('portfolio_column', array('xlg'=> 1, 'lg'=> 1,'md'=> 1,'sm'=> 1,'xs'=> 1));
$la_zyra_loop['image_size'] = LA_Zyra_Helper::get_image_size_from_string(LA_Zyra()->settings->get('portfolio_thumbnail_size', 'full'),'full');
$la_zyra_loop['title_tag'] = 'h4';
$la_zyra_loop['excerpt_length'] = 15;
$la_zyra_loop['item_gap'] = (int) LA_Zyra()->settings->get('portfolio_item_space', 0);

echo '<div id="archive_portfolio_listing" class="la-portfolio-listing">';

if( have_posts() ){

    get_template_part("templates/portfolios/{$loop_layout}/start", $loop_style);

    while( have_posts() ){

        the_post();

        get_template_part("templates/portfolios/{$loop_layout}/loop", $loop_style);

    }

    get_template_part("templates/portfolios/{$loop_layout}/end", $loop_style);

}

echo '</div>';
/**
 * Display pagination and reset loop
 */

la_zyra_the_pagination();

wp_reset_postdata();

$la_zyra_loop = $tmp;