<?php
global $la_zyra_loop;
$loop_id = isset($la_zyra_loop['loop_id']) ? $la_zyra_loop['loop_id'] : uniqid('la-testimonial-');
$loop_style = isset($la_zyra_loop['loop_style']) ? $la_zyra_loop['loop_style'] : 1;
$responsive_column = isset($la_zyra_loop['responsive_column']) ? $la_zyra_loop['responsive_column'] : array('xlg'=> 1, 'lg'=> 1,'md'=> 1,'sm'=> 1,'xs'=> 1);
$slider_configs = isset($la_zyra_loop['slider_configs']) ? $la_zyra_loop['slider_configs'] : '';
$item_space = isset($la_zyra_loop['item_space']) ? $la_zyra_loop['item_space'] : '30';

$loopCssClass = array('la-loop','testimonial-loop la_testimonials');
$loopCssClass[] = 'loop-style-' . $loop_style;
$loopCssClass[] = 'la_testimonials--style-' . $loop_style;

$loopCssClass[] = 'grid-items';
$loopCssClass[] = 'grid-space-'. $item_space;
if(!empty($slider_configs)){
    $loopCssClass[] = 'js-el la-slick-slider';
}else{
    foreach( $responsive_column as $screen => $value ){
        $loopCssClass[]  =  sprintf('%s-grid-%s-items', $screen, $value);
    }
}

printf(
    '<div class="%1$s"%2$s>',
    esc_attr(implode(' ', $loopCssClass)),
    (!empty($slider_configs) ? ' data-la_component="AutoCarousel" ' . $slider_configs : '')
);