<?php

/**
 * Require plugins vendor
 */

require_once get_template_directory() . '/plugins/tgm-plugin-activation/class-tgm-plugin-activation.php';
require_once get_template_directory() . '/plugins/plugins.php';

/**
 * Include the main class.
 */

include_once get_template_directory() . '/framework/classes/class-core.php';


LA_Zyra::$template_dir_path   = get_template_directory();
LA_Zyra::$template_dir_url    = get_template_directory_uri();
LA_Zyra::$stylesheet_dir_path = get_stylesheet_directory();
LA_Zyra::$stylesheet_dir_url  = get_stylesheet_directory_uri();

/**
 * Include the autoloader.
 */
include_once LA_Zyra::$template_dir_path . '/framework/classes/class-autoload.php';

new LA_Zyra_Autoload();

/**
 * load functions for later usage
 */

require_once LA_Zyra::$template_dir_path . '/framework/functions/functions.php';

new LA_Zyra_Multilingual();

if(!function_exists('la_zyra_init_options')){
    function la_zyra_init_options(){
        LA_Zyra::$options = LA_Zyra_Options::get_instance();
    }
    la_zyra_init_options();
}

if(!function_exists('LA_Zyra')){
    function LA_Zyra(){
        return LA_Zyra::get_instance();
    }
}

new LA_Zyra_Scripts();

new LA_Zyra_Admin();

new LA_Zyra_WooCommerce();

LA_Zyra_Visual_Composer::get_instance();

/**
 * Set the $content_width global.
 */
global $content_width;
if ( ! is_admin() ) {
    if ( ! isset( $content_width ) || empty( $content_width ) ) {
        $content_width = (int) LA_Zyra()->layout->get_content_width();
    }
}

require_once LA_Zyra::$template_dir_path . '/framework/functions/extra-functions.php';

require_once LA_Zyra::$template_dir_path . '/framework/functions/update.php';