<?php
add_action( 'tgmpa_register', 'la_zyra_register_required_plugins' );

if(!function_exists('la_zyra_register_required_plugins')){

	function la_zyra_register_required_plugins() {

		$plugins = array();

		$plugins[] = array(
			'name'					=> esc_html_x('WPBakery Visual Composer', 'admin-view', 'la-zyra'),
			'slug'					=> 'js_composer',
			'source'				=> get_template_directory() . '/plugins/js_composer.zip',
			'required'				=> true,
			'version'				=> '5.5.2'
		);

		$plugins[] = array(
			'name'					=> esc_html_x('LA Studio Core', 'admin-view', 'la-zyra'),
			'slug'					=> 'lastudio-core',
			'source'				=> get_template_directory() . '/plugins/lastudio-core.zip',
			'required'				=> true,
			'version'				=> '3.1.1'
		);

		$plugins[] = array(
			'name'					=> esc_html_x('LA Zyra Package Demo Data', 'admin-view', 'la-zyra'),
			'slug'					=> 'la-zyra-demo-data',
			'source'				=> 'https://github.com/la-studioweb/resource/raw/master/zyra/la-zyra-demo-data.zip',
			'required'				=> true,
			'version'				=> '1.0.2'
		);

		$plugins[] = array(
			'name'     				=> esc_html_x('WooCommerce', 'admin-view', 'la-zyra'),
			'slug'     				=> 'woocommerce',
			'version'				=> '3.4.4',
			'required' 				=> false
		);

		$plugins[] = array(
			'name'					=> esc_html_x('Slider Revolution', 'admin-view', 'la-zyra'),
			'slug'					=> 'revslider',
			'source'				=> get_template_directory() . '/plugins/revslider.zip',
			'required'				=> false,
			'version'				=> '5.4.8'
		);

		$plugins[] = array(
			'name'     				=> esc_html_x('Envato Market', 'admin-view', 'la-zyra'),
			'slug'     				=> 'envato-market',
			'source'   				=> 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
			'required' 				=> false,
			'version' 				=> '2.0.0'
		);

		$plugins[] = array(
			'name' 					=> esc_html_x('Contact Form 7', 'admin-view', 'la-zyra'),
			'slug' 					=> 'contact-form-7',
			'required' 				=> false
		);

		$plugins[] = array(
			'name' 					=> esc_html_x('Easy Forms for MailChimp by YIKES', 'admin-view', 'la-zyra'),
			'slug' 					=> 'yikes-inc-easy-mailchimp-extender',
			'required' 				=> false
		);

		$plugins[] = array(
			'name' 					=> esc_html_x('YITH WooCommerce Compare', 'admin-view', 'la-zyra'),
			'slug' 					=> 'yith-woocommerce-compare',
			'required' 				=> false
		);

		$plugins[] = array(
			'name' 					=> esc_html_x('YITH WooCommerce Wishlist', 'admin-view', 'la-zyra'),
			'slug' 					=> 'yith-woocommerce-wishlist',
			'required' 				=> false
		);

		$config = array(
			'id'           				=> 'la-zyra',
			'default_path' 				=> '',
			'menu'         				=> 'tgmpa-install-plugins',
			'has_notices'  				=> true,
			'dismissable'  				=> true,
			'dismiss_msg'  				=> '',
			'is_automatic' 				=> false,
			'message'      				=> ''
		);

		tgmpa( $plugins, $config );

	}

}